// Copyright (C) 2009 - Digiteo - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// number_coprime --
//   Returns %t if the given numbers are relative primes.
//
function coprime = number_coprime ( m , n )
  if ( type(m)<>1 ) then
	error(msprintf(gettext("%s: Wrong type for input argument #%d: A real expected.\n") , "number_coprime" , 1 ));
  end
  if ( type(n)<>1 ) then
	error(msprintf(gettext("%s: Wrong type for input argument #%d: A real expected.\n") , "number_coprime" , 2 ));
  end
  if ( m<=0 ) then
    errmsg = sprintf ( gettext ( "%s: Number %d is not positive" ) , "number_coprime" , m )
    error(errmsg)
  end
  if ( n<=0 ) then
    errmsg = sprintf ( gettext ( "%s: Number %d is not positive" ) , "number_coprime" , n )
    error(errmsg)
  end
  d = number_gcd ( m , n )
  coprime = ( d == 1 )
endfunction

