// Copyright (C) 2009 - Digiteo - Michael Baudin
// Copyright (C) INRIA - Farid BELAHCENE
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

//
// number_lcm --
//   Returns the least common multiple of m and n
//
function result = number_lcm ( m , n , method )
    if (~isdef('method','local')) then
    method = "euclidian";
  end
  if ( type(m)<>1 ) then
    error(msprintf(gettext("%s: Wrong type for input argument #%d: A real expected.\n"),"number_lcm" , 1 ));
  end
  if ( type(n)<>1 ) then
    error(msprintf(gettext("%s: Wrong type for input argument #%d: A real expected.\n"),"number_lcm" , 2 ));
  end
  if ( m<0 ) then
    errmsg = sprintf ( gettext ( "%s: Number %d is not positive" ) , "number_lcm" , m )
    error(errmsg)
  end
  if ( n<0 ) then
    errmsg = sprintf ( gettext ( "%s: Number %d is not positive" ) , "number_lcm" , n )
    error(errmsg)
  end
  d = number_gcd ( m , n , method )
  // Avoid unnecessary overflows
  result = n * ( m / d )
endfunction

